singleton Material(tr_haybale)
{
    mapTo = "haybale";
    normalMap[0] = "/vehicles/common/loads/haybale/haybale_nm.normal.DDS";
    pixelSpecular[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    materialTag0 = "beamng"; materialTag1 = "object";
   version = "1.5";
   baseColorMap[0] = "/vehicles/common/loads/haybale/haybale_b.color.DDS";
   roughnessMap[0] = "/vehicles/common/loads/haybale/haybale_r.data.DDS";
   ambientOcclusionMap[0] = "/vehicles/common/loads/haybale/haybale_ao.data.DDS";
};

singleton Material(tr_haybale2)
{
    mapTo = "haybale2";
    normalMap[0] = "/vehicles/common/loads/haybale/haybale_nm.normal.DDS";
    pixelSpecular[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    //subSurface[0] = "1";
    //subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    //subSurfaceRolloff[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "object";
   version = "1.5";
   baseColorMap[0] = "/vehicles/common/loads/haybale/haybale2_b.color.DDS";
   roughnessMap[0] = "/vehicles/common/loads/haybale/haybale_r.data.DDS";
   ambientOcclusionMap[0] = "/vehicles/common/loads/haybale/haybale_ao.data.DDS";
   opacityMap[0] = "/vehicles/common/loads/haybale/haybale2_opacity.data.DDS";
};

singleton Material(tr_haybale3)
{
    mapTo = "haybale3";
    normalMap[0] = "/vehicles/common/loads/haybale/haybale_nm.normal.DDS";
    pixelSpecular[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "64";
    subSurface[0] = "1";
    subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
    subSurfaceRolloff[0] = "0.4";
    materialTag0 = "beamng"; materialTag1 = "object";
    doubleSided = "1";
   version = "1.5";
   roughnessFactor[0] = "0.722649932";
   baseColorMap[0] = "/vehicles/common/loads/haybale/haybale3_b.color.DDS";
   roughnessMap[0] = "/vehicles/common/loads/haybale/haybale_r.data.DDS";
   ambientOcclusionMap[0] = "/vehicles/common/loads/haybale/haybale_ao.data.DDS";
   opacityMap[0] = "/vehicles/common/loads/haybale/haybale3_opacity.data.DDS";
   subSurfaceColor0 = "0.996078 0.992157 0.992157 1";
   subSurfaceRolloff0 = "0.4";
   subSurface0 = "1";
};

singleton Material(trailer_metal_box)
{
    mapTo = "trailer_metal_box";
    diffuseMap[1] = "vehicles/metal_box/metal_box_D.dds";
    specularMap[1] = "vehicles/metal_box/metal_box_S.dds";
    normalMap[1] = "vehicles/metal_box/metal_box_N.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/metal_box/metal_box_N.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(trailer_metal_box_decals)
{
    mapTo = "trailer_metal_box_decals";
    diffuseMap[1] = "vehicles/metal_box/metal_box_decals.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0 0 0 0";
    diffuseColor[1] = "1 1 1 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(tsfb)
{
    mapTo = "tsfb";
    diffuseMap[1] = "vehicles/tsfb/tsfb_d.dds";
    specularMap[1] = "vehicles/tsfb/tsfb_s.dds";
    normalMap[1] = "vehicles/tsfb/tsfb_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/tsfb/tsfb_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
singleton Material(AR162B_caravan)
{
    mapTo = "caravan";
    normalMap[1] = "vehicles/caravan/caravan_n.dds";
    normalMap[0] = "/vehicles/caravan/caravan_nm.normal.DDS";
    pixelSpecular[0] = "1";
    pixelSpecular[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   version = "1.5";
   instanceDiffuse[0] = "1";
   roughnessFactor[1] = "0.607767701";
   baseColorMap[0] = "/vehicles/caravan/caravan_b.color.DDS";
   baseColorMap[1] = "vehicles/caravan/caravan_d.dds";
   metallicMap[0] = "/vehicles/caravan/caravan_m.data.DDS";
   metallicFactor[0] = "1";
   roughnessMap[0] = "/vehicles/caravan/caravan_r.data.DDS";
   ambientOcclusionMap[0] = "/vehicles/caravan/caravan_ao.data.DDS";
};
